Package org.pushingpixels.substance.flamingo.common.ui

# Class SubstanceCommandToggleMenuButtonUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandToggleButtonUI
org.pushingpixels.substance.flamingo.common.ui.SubstanceCommandToggleButtonUI
org.pushingpixels.substance.flamingo.common.ui.SubstanceCommandToggleMenuButtonUI

All Implemented Interfaces:
  `ActionPopupTransitionAwareUI`, `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

public class SubstanceCommandToggleMenuButtonUI extends SubstanceCommandToggleButtonUI
UI for `JCommandToggleMenuButton` components in Substance look and feel.

## Field Summary

### Fields inherited from class org.pushingpixels.substance.flamingo.common.ui.SubstanceCommandToggleButtonUI

`backgroundDelegate, substancePropertyListener, substanceVisualStateTracker`

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`basicPopupButtonListener, buttonRendererPane, commandButton, disposePopupsActionListener, DONT_DISPOSE_POPUPS, EMULATE_SQUARE_BUTTON, isUnderMouse, layoutInfo, layoutManager, popupActionIcon, popupActionListener, propertyChangeListener, rendererButton, rendererSeparator`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceCommandToggleMenuButtonUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
`protected Color`
`getForegroundColor(org.pushingpixels.substance.internal.animation.StateTransitionTracker.ModelStateInfo modelStateInfo)`
`protected boolean`
`isPaintingBackground()`
`protected void`
`paintButtonIcon(Graphics g, Rectangle iconRect)`

### Methods inherited from class org.pushingpixels.substance.flamingo.common.ui.SubstanceCommandToggleButtonUI

`getActionTransitionTracker, getPopupTransitionTracker, getPreferredSize, getTransitionTracker, installDefaults, installListeners, isInside, isPaintingSeparators, paint, paintButtonBackground, syncDisabledIcon, uninstallListeners, updateBorder`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandToggleButtonUI

`createRendererButton, updatePopupActionIcon`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonUI

`configureRenderer, createButtonListener, createPopupActionIcon, createPopupActionListener, getForegroundColor, getIconToPaint, getKeyTipAnchorCenterPoint, getLayoutGap, getLayoutInfo, installComponents, installKeyboardActions, installUI, paintButtonBackground, paintButtonHorizontalSeparator, paintButtonVerticalSeparator, paintPopupActionIcon, processPopupAction, syncIconDimension, toUseDisabledIcon, unconfigureRenderer, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallUI, update, updateCustomDimension`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceCommandToggleMenuButtonUI

public SubstanceCommandToggleMenuButtonUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### paintButtonIcon

protected void paintButtonIcon(Graphics g, Rectangle iconRect)

Overrides:
  `paintButtonIcon` in class `SubstanceCommandToggleButtonUI`

### isPaintingBackground

protected boolean isPaintingBackground()

Overrides:
  `isPaintingBackground` in class `SubstanceCommandToggleButtonUI`

### getForegroundColor

protected Color getForegroundColor(org.pushingpixels.substance.internal.animation.StateTransitionTracker.ModelStateInfo modelStateInfo)

Overrides:
  `getForegroundColor` in class `SubstanceCommandToggleButtonUI`